NetBSD has SSP in libc

Jeff Law law@redhat.com
Wed Jan 27 16:57:00 GMT 2016


On 01/26/2016 11:41 PM, Thomas Klausner wrote:
> On Tue, Jan 26, 2016 at 11:35:15PM -0700, Jeff Law wrote:
>> On 01/23/2016 02:52 PM, Thomas Klausner wrote:
>>> NetBSD has SSP included in libc:
>>>
>>> http://cvsweb.netbsd.org/bsdweb.cgi/src/lib/libc/ssp/?only_with_tag=MAIN
>>>
>>> gcc/configure does not know about this. The attached patch (against
>>> SVN checkout from today) fixes this.
>>>
>>> I've previously reported this as
>>> https://gcc.gnu.org/bugzilla/show_bug.cgi?id=68380 but was told that
>>> patches should be sent here.
>> Thanks.
>>
>> If I understand the history SSP first appeared in NetBSD 4.0, so this code
>> really ought to be conditional on NetBSD 4.0 or newer to be strictly
>> correct.
>>
>> Unfortunately we don't have much interaction with NetBSD anymore -- so we
>> have no clue if supporting building on anything before NetBSD 4.0 is even
>> reasonable or feasible anymore.
>
> The only supported release branches are NetBSD-6.x and NetBSD-7.x.
>
> NetBSD-4.x was desupported when NetBSD 6.x came out, in 2012:
> https://blog.netbsd.org/tnf/entry/end_of_life_for_4
OK.  Based on the above information I went ahead and committed your 
change.  Strictly speaking it's not a regression, but I think it's 
localized & safe enough that it can go in even at this stage in our 
development/release process.

Thanks,
Jeff



More information about the Gcc-patches mailing list